Package com.independentsoft.office.drawing

# Class EffectList

java.lang.Object
com.independentsoft.office.drawing.EffectList

public class EffectList extends Object
The Class EffectList.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EffectList()`
  Instantiates a new effect list.
  `EffectList​(InternalXMLStreamReader reader)`
  Instantiates a new effect list.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EffectList`
  `clone()`
  `BlurEffect`
  `getBlurEffect()`
  Gets the blur effect.
  `FillOverlayEffect`
  `getFillOverlayEffect()`
  Gets the fill overlay effect.
  `GlowEffect`
  `getGlowEffect()`
  Gets the glow effect.
  `InnerShadowEffect`
  `getInnerShadowEffect()`
  Gets the inner shadow effect.
  `OuterShadowEffect`
  `getOuterShadowEffect()`
  Gets the outer shadow effect.
  `PresetShadow`
  `getPresetShadow()`
  Gets the preset shadow.
  `ReflectionEffect`
  `getReflectionEffect()`
  Gets the reflection effect.
  `SoftEdgeEffect`
  `getSoftEdgeEffect()`
  Gets the soft edge effect.
  `void`
  `setBlurEffect​(BlurEffect blurEffect)`
  Sets the blur effect.
  `void`
  `setFillOverlayEffect​(FillOverlayEffect fillOverlayEffect)`
  Sets the fill overlay effect.
  `void`
  `setGlowEffect​(GlowEffect glowEffect)`
  Sets the glow effect.
  `void`
  `setInnerShadowEffect​(InnerShadowEffect innerShadowEffect)`
  Sets the inner shadow effect.
  `void`
  `setOuterShadowEffect​(OuterShadowEffect outerShadowEffect)`
  Sets the outer shadow effect.
  `void`
  `setPresetShadow​(PresetShadow presetShadow)`
  Sets the preset shadow.
  `void`
  `setReflectionEffect​(ReflectionEffect reflectionEffect)`
  Sets the reflection effect.
  `void`
  `setSoftEdgeEffect​(SoftEdgeEffect softEdgeEffect)`
  Sets the soft edge effect.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EffectList

    public EffectList()
    Instantiates a new effect list.

  - ### EffectList

    public EffectList​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new effect list.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public EffectList clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getBlurEffect

    public BlurEffect getBlurEffect()
    Gets the blur effect.
    Returns:
      the blur effect

  - ### setBlurEffect

    public void setBlurEffect​(BlurEffect blurEffect)
    Sets the blur effect.
    Parameters:
      `blurEffect` - the new blur effect

  - ### getFillOverlayEffect

    public FillOverlayEffect getFillOverlayEffect()
    Gets the fill overlay effect.
    Returns:
      the fill overlay effect

  - ### setFillOverlayEffect

    public void setFillOverlayEffect​(FillOverlayEffect fillOverlayEffect)
    Sets the fill overlay effect.
    Parameters:
      `fillOverlayEffect` - the new fill overlay effect

  - ### getGlowEffect

    public GlowEffect getGlowEffect()
    Gets the glow effect.
    Returns:
      the glow effect

  - ### setGlowEffect

    public void setGlowEffect​(GlowEffect glowEffect)
    Sets the glow effect.
    Parameters:
      `glowEffect` - the new glow effect

  - ### getInnerShadowEffect

    public InnerShadowEffect getInnerShadowEffect()
    Gets the inner shadow effect.
    Returns:
      the inner shadow effect

  - ### setInnerShadowEffect

    public void setInnerShadowEffect​(InnerShadowEffect innerShadowEffect)
    Sets the inner shadow effect.
    Parameters:
      `innerShadowEffect` - the new inner shadow effect

  - ### getOuterShadowEffect

    public OuterShadowEffect getOuterShadowEffect()
    Gets the outer shadow effect.
    Returns:
      the outer shadow effect

  - ### setOuterShadowEffect

    public void setOuterShadowEffect​(OuterShadowEffect outerShadowEffect)
    Sets the outer shadow effect.
    Parameters:
      `outerShadowEffect` - the new outer shadow effect

  - ### getPresetShadow

    public PresetShadow getPresetShadow()
    Gets the preset shadow.
    Returns:
      the preset shadow

  - ### setPresetShadow

    public void setPresetShadow​(PresetShadow presetShadow)
    Sets the preset shadow.
    Parameters:
      `presetShadow` - the new preset shadow

  - ### getReflectionEffect

    public ReflectionEffect getReflectionEffect()
    Gets the reflection effect.
    Returns:
      the reflection effect

  - ### setReflectionEffect

    public void setReflectionEffect​(ReflectionEffect reflectionEffect)
    Sets the reflection effect.
    Parameters:
      `reflectionEffect` - the new reflection effect

  - ### getSoftEdgeEffect

    public SoftEdgeEffect getSoftEdgeEffect()
    Gets the soft edge effect.
    Returns:
      the soft edge effect

  - ### setSoftEdgeEffect

    public void setSoftEdgeEffect​(SoftEdgeEffect softEdgeEffect)
    Sets the soft edge effect.
    Parameters:
      `softEdgeEffect` - the new soft edge effect